Bug 1341716 (CVE-2016-4470) - CVE-2016-4470 kernel: Uninitialized variable in request_key handling causes kernel crash in error handling path
Summary: CVE-2016-4470 kernel: Uninitialized variable in request_key handling causes k...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2016-4470
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1341352 1345935 1345937 1345938 1345939 1345940 1345941 1345945 1345946 1346626 1348118 1348119 1348362 1348363 1350384 1350385 1350386 1350387 1350388 1354270
Blocks: 1341718
TreeView+ depends on / blocked
 
Reported: 2016-06-01 14:59 UTC by Adam Mariš
Modified: 2019-09-29 13:50 UTC (History)
25 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in the Linux kernel's keyring handling code: the key_reject_and_link() function could be forced to free an arbitrary memory block. An attacker could use this flaw to trigger a use-after-free condition on the system, potentially allowing for privilege escalation.
Clone Of:
Environment:
Last Closed: 2019-06-08 02:53:10 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:1532 normal SHIPPED_LIVE Important: kernel-rt security and bug fix update 2016-08-03 01:56:01 UTC
Red Hat Product Errata RHSA-2016:1539 normal SHIPPED_LIVE Important: kernel security and bug fix update 2016-08-02 22:21:06 UTC
Red Hat Product Errata RHSA-2016:1541 normal SHIPPED_LIVE Important: kernel-rt security and bug fix update 2016-08-03 01:55:56 UTC
Red Hat Product Errata RHSA-2016:1657 normal SHIPPED_LIVE Important: kernel security update 2016-08-23 20:11:31 UTC
Red Hat Product Errata RHSA-2016:2006 normal SHIPPED_LIVE Important: kernel security and bug fix update 2016-10-05 01:08:18 UTC
Red Hat Product Errata RHSA-2016:2074 normal SHIPPED_LIVE Important: kernel security and bug fix update 2016-10-18 15:09:14 UTC
Red Hat Product Errata RHSA-2016:2076 normal SHIPPED_LIVE Important: kernel security update 2016-10-18 18:31:23 UTC
Red Hat Product Errata RHSA-2016:2128 normal SHIPPED_LIVE Important: kernel security and enhancement update 2016-10-31 20:01:35 UTC
Red Hat Product Errata RHSA-2016:2133 normal SHIPPED_LIVE Important: kernel security update 2016-11-01 14:58:08 UTC

Description Adam Mariš 2016-06-01 14:59:25 UTC
A local user can trigger a flaw in the Linux kernel's handling of key lookups in the keychain subsystem.

The key_reject_and_link() function contains an error in which a key-lookup can fail and in an attempt to cache the failed lookup may attempt to free memory which can still be in use.

This could crash the system or at worse free a memory block which would then be re-used by another kernel mechanism causing a user after free.

Product bug:

https://bugzilla.redhat.com/show_bug.cgi?id=1341352

Upstream patch:

https://www.spinics.net/lists/linux-kernel-janitors/msg26069.html

Comment 1 Adam Mariš 2016-06-01 14:59:40 UTC
Acknowledgements:

Name: David Howells (Red Hat)

Comment 6 Wade Mealing 2016-06-13 13:18:16 UTC
Statement:

This issue affects the Linux kernels as shipped with Red Hat Enterprise Linux 6 and may be addressed in a future update.

This issue does not affect the Linux kernel packages as shipped with Red Hat
Enterprise Linux 7 and Red Hat Enterprise MRG 2 as the due updates to fix
this issue have been shipped now.

Comment 9 Wade Mealing 2016-06-15 06:23:49 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1346626]

Comment 14 Fedora Update System 2016-06-30 21:23:58 UTC
kernel-4.6.3-300.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2016-07-02 19:24:18 UTC
kernel-4.5.7-202.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2016-07-19 07:18:52 UTC
kernel-4.4.14-200.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 errata-xmlrpc 2016-08-02 13:54:41 UTC
This issue has been addressed in the following products:

  MRG for RHEL-6 v.2

Via RHSA-2016:1532 https://rhn.redhat.com/errata/RHSA-2016-1532.html

Comment 19 errata-xmlrpc 2016-08-02 18:31:26 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2016:1539 https://rhn.redhat.com/errata/RHSA-2016-1539.html

Comment 20 errata-xmlrpc 2016-08-02 18:36:12 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2016:1541 https://rhn.redhat.com/errata/RHSA-2016-1541.html

Comment 22 errata-xmlrpc 2016-08-23 16:12:39 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7.1 Extended Update Support

Via RHSA-2016:1657 https://rhn.redhat.com/errata/RHSA-2016-1657.html

Comment 23 errata-xmlrpc 2016-10-04 21:08:30 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2016:2006 https://rhn.redhat.com/errata/RHSA-2016-2006.html

Comment 24 errata-xmlrpc 2016-10-18 11:09:26 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6.5 Advanced Update Support

Via RHSA-2016:2074 https://rhn.redhat.com/errata/RHSA-2016-2074.html

Comment 25 errata-xmlrpc 2016-10-18 14:31:36 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6.7 Extended Update Support

Via RHSA-2016:2076 https://rhn.redhat.com/errata/RHSA-2016-2076.html

Comment 28 errata-xmlrpc 2016-10-31 16:01:48 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6.6 Extended Update Support

Via RHSA-2016:2128 https://rhn.redhat.com/errata/RHSA-2016-2128.html

Comment 31 errata-xmlrpc 2016-11-01 10:58:25 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6.4 Advanced Update Support

Via RHSA-2016:2133 https://rhn.redhat.com/errata/RHSA-2016-2133.html


Note You need to log in before you can comment on or make changes to this bug.